import { CreateCustomAttributePayload, CustomAttributeGetAllParams, CustomAttributeResponse, FeedbackResponse, UpdateCustomAttributePayload } from '@bringg/types';
import Session from '../Services/Identity/Session';
export default class CustomAttributesApi {
    private customAttributesEntity;
    constructor(session: Session);
    getAllCustomAttributes(params?: CustomAttributeGetAllParams): Promise<CustomAttributeResponse[]>;
    createCustomAttribute(payload: CreateCustomAttributePayload): Promise<CustomAttributeResponse>;
    updateCustomAttribute(payload: UpdateCustomAttributePayload): Promise<CustomAttributeResponse>;
    deleteCustomAttribute(id: number): Promise<FeedbackResponse>;
}
